## Apache Zeta Components Manual :: Docs For Class ezcMvcResultContent

### MvcTools::ezcMvcResultContent

### Class ezcMvcResultContent

This struct contains content meta-data

Source for this file: /MvcTools/src/structs/result_content.php

    ezcBaseStruct
       |
       --ezcMvcResultContent

Version: | //autogentag//

### Member Variables

public string | `$charset` The character set
public ezcMvcResultContentDisposition | `$disposition` The content disposition information
public string | `$encoding` The content "encoding" (gzip, etc).
public string | `$language` The content's language
public string | `$type` The content's mime-type

### Method Summary

public static ezcMvcResultContent | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcResultContent | `__construct( [ $language = ''] , [ $type = ''] , [ $charset = ''] , [ $encoding = ''] , [ $disposition = null] )` Constructs a new ezcMvcResultContent.

### Methods

#### __set_state

static ezcMvcResultContent __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcResultContent __construct( [string $language = ''] , [string $type = ''] , [string $charset = ''] , [string $encoding = ''] , [ezcMvcResultContentDisposition $disposition = null] )

Constructs a new ezcMvcResultContent.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$language` | string |
`$type` | string |
`$charset` | string |
`$encoding` | string |
`$disposition` | ezcMvcResultContentDisposition |

Documentation generated by phpDocumentor 1.4.3